System.Web 2.0.0.0 System.Enum

When the property for a control is set to a value other than an empty string (""), clicking the node navigates to the specified URL. If the property is set to an empty string, clicking the node causes a postback. The property determines the events to raise on the postback. By default, the event is raised. No events are raised if the property is set.

The property is not rendered for a node with its property set to the value.

Represents the event or events to raise when a node in the control is selected.

- Field
  System.Web.UI.WebControls.TreeNodeSelectAction

  Raises the event when a node is selected.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeSelectAction

  Raises no events when a node is selected.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeSelectAction

  Raises the event when a node is selected.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeSelectAction

  Raises both the and events when a node is selected.

  2.0.0.0